# Uses of Interface
org.opensaml.saml.saml1.core.DoNotCacheCondition

Packages that use DoNotCacheCondition
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of DoNotCacheCondition in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type DoNotCacheCondition
Modifier and Type
Method
Description
`List<DoNotCacheCondition>`
Conditions.`getDoNotCacheConditions()`
Get the "do not cache" conditions.

## Uses of DoNotCacheCondition in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement DoNotCacheCondition
Modifier and Type
Class
Description
`class`
`DoNotCacheConditionImpl`
Concrete implementation of `DoNotCacheCondition`.
Methods in org.opensaml.saml.saml1.core.impl that return DoNotCacheCondition
Modifier and Type
Method
Description
`DoNotCacheCondition`
DoNotCacheConditionBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`DoNotCacheCondition`
DoNotCacheConditionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type DoNotCacheCondition
Modifier and Type
Method
Description
`List<DoNotCacheCondition>`
ConditionsImpl.`getDoNotCacheConditions()`
Get the "do not cache" conditions.